<?php 

	require_once 'controls/verifylogin.php';
	require_once 'funcoes.php';
	require_once('Connections/paivaconex.php'); 
	
	
	
	
$criterio_pagar = '';
$criterio_receber = '';
$link = '';
	
if($_GET['fornec_id']>0){ 
	$criterio_pagar .= " AND Fornecedor = ".$_GET['fornec_id'];
	$link .='&fornec_id='.$_GET['fornec_id'];;
}	

if($_GET['cliente_id']>0){
	$criterio_pagar .= " AND Cliente = ".$_GET['cliente_id'];
	$criterio_receber .= " AND Cliente_Id = ".$_GET['cliente_id'];
	$link .='&cliente_id='.$_GET['cliente_id'];
}	

if($_GET['pasta_id']>0){
	$criterio_pagar .= " AND Pasta = ".$_GET['pasta_id'];
	$criterio_receber .= " AND Pasta_Id = ".$_GET['pasta_id'];
	$link .='&pasta_id='.$_GET['pasta_id'];
}	

if($_GET['contas_id']>0){
	$criterio_pagar .= " AND mfin_contas.Id = ".$_GET['contas_id'];
	$criterio_receber .= " AND mfin_contas.Id = ".$_GET['contas_id'];
	$link .='&contas_id='.$_GET['contas_id'];
}	

if($_GET['grupo_contas_id']>0){
	$criterio_pagar .= " AND mfin_grupocontas.Id = ".$_GET['grupo_contas_id'];
	$criterio_receber .= " AND mfin_grupocontas.Id = ".$_GET['grupo_contas_id'];
	$link .='&mfin_grupocontas='.$_GET['grupo_contas_id'];
}	
	

	
	
	
	
	
	
mysql_select_db($database_paivaconex, $paivaconex);
$query_despesas_ini = "SELECT sum(Juros + Multa - Desconto - ir - pis - cofins - csll + Valor - outros - outros2- outros3 - 0) as valorliquido, mfin_grupocontas.Nome as nome_grupo
FROM mfin_recebimentos

join mfin_clientes on mfin_recebimentos.Cliente_Id = mfin_clientes.Id 
join mfin_contas on mfin_clientes.ContaResultado = mfin_contas.Id 
join mfin_grupocontas on mfin_contas.Grupo = mfin_grupocontas.Id 

WHERE if(Recebimento <> '0', Recebimento, NULL) >= '".convertdata($_GET['data_ini'])."' AND if(Recebimento <> '0', Recebimento, NULL) <= '".convertdata($_GET['data_fim'])."'  ".$criterio_receber."
GROUP by mfin_grupocontas.Id
ORDER by sum(Juros + Multa - Desconto - ir - pis - cofins - csll + Valor - outros - outros2- outros3 - 0) DESC
";
$despesas_ini = mysql_query($query_despesas_ini, $paivaconex) or die(mysql_error());
$row_despesas_ini = mysql_fetch_assoc($despesas_ini);
$totalRows_despesas_ini = mysql_num_rows($despesas_ini);

$recebimentos = 0;
unset($recebimentos);

$pagamentos = 0;
unset($pagamentos);

$lucro_total = 0;
$recebimentos_total = 0;
$pagamentos_total = 0;



?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
	
		<title>Módulo Financeiro</title>
        
<script src="js/jquery-1.7.2.js" type="text/javascript"></script>
<script src="js/jquery.maskedinput-1.3.min.js" type="text/javascript"></script>
<script>
        jQuery(function($){
		   $("#data_ini").mask("99/99/9999");
		   $("#data_fim").mask("99/99/9999");
		 });
        
</script>
<script type="text/javascript">
$(document).ready(function() {
    var a = 0;
			
			$("#data_ini").keyup(function(){
				var b = 0;
				a = $(this).val();
				$.each( a, function( key, value ) {
					if(value != '_'){
						b = b+1;
					}  
				});
				
				if (b == 10){
					$("#data_fim").focus();
				}
			});
        });
        
</script>
        
		
		<link href="../SpryAssets/SpryValidationTextField.css" rel="stylesheet" type="text/css" />
		<?php include_once('controls/import.php'); ?>
	
	<script src="../SpryAssets/SpryValidationTextField.js" type="text/javascript"></script>
	</head>
<body>
	
<?php include_once('controls/header.php'); ?>

	<div class="content">
	
		<div class="form">
		
		<?php include_once('controls/menu.php'); ?>
			
			<div id="conteudo-site">
			
				<div class="titulo-conteudo-site">
					<img src="images/applications.png" title="" alt="" /> Módulo Financeiro  
				</div>
				<p>&nbsp;</p>
			  <p>&nbsp;</p>
                
      <table border="1" align="center">
        <tr bgcolor="#CCCCCC">
          <td height="40" colspan="2" style="border:1px solid #000000; font-weight:bold; font-size:16px;">Relatório de Entradas</td>
        </tr>
        <tr align="center">
          <td width="300" height="40" style="border:1px solid #000000; font-weight:bold">Mês</td>
          <td width="159" height="40" style="border:1px solid #000000; font-weight:bold">Saídas</td>

        </tr>
        <?php do{ ?>
        
        <tr align="right">
          <td width="300" height="40" align="left" style="border:1px solid #000000; font-weight:bold">
          	<?php 
					echo $row_despesas_ini['nome_grupo'];
			?>
          </td>
          <td width="159" height="40" style="border:1px solid #000000; font-weight:bold">
          	<?php 	
					echo number_format($row_despesas_ini['valorliquido'],2,',','.');
					$pagamentos_total += $row_despesas_ini['valorliquido'];		
			?>
          </td>
          
        </tr>
        
        <?php } while ($row_despesas_ini = mysql_fetch_assoc($despesas_ini));?>
        <tr align="right" style="font-weight: bold; color: #00F; font-size: 14px;">
          <td width="300" height="40" align="left" style="border:1px solid #000000; font-weight:bold"><strong>Total</strong></td>
          <td width="159" height="40" style="border:1px solid #000000; font-weight:bold">
	          <?php 	
			  	echo number_format($pagamentos_total,2,',','.');
			  ?>
          </td>
          
        </table>
      
    
    
          </div>
			
		</div>
		
	</div>
	
	<?php include_once('controls/footer.php'); ?>
</body>
</html>